package com.xxxxxxx.drvpp.fw.web.util;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.Map;

import org.apache.ibatis.session.SqlSession;

import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.util.Parameter;

public class EventParameter implements Parameter {
	private Map<String, Object> input;
	private Map<String, Object> output;
	private SqlSession sqlSession;
	private Map<String, String> requestParameter;	
	private Logger log;

	private InputStream inputStream;
	private OutputStream outputStream;
	public Map<String, Object> getInput() {
		return input;
	}
	public void setInput(Map<String, Object> input) {
		this.input = input;
	}
	public Map<String, Object> getOutput() {
		return output;
	}
	public void setOutput(Map<String, Object> output) {
		this.output = output;
	}
	public SqlSession getSqlSession() {
		return sqlSession;
	}
	public void setSqlSession(SqlSession sqlSession) {
		this.sqlSession = sqlSession;
	}
	public Map<String, String> getRequestParameter() {
		return requestParameter;
	}
	public void setRequestParameter(Map<String, String> requestParameter) {
		this.requestParameter = requestParameter;
	}
	public Logger getLog() {
		return log;
	}
	public void setLog(Logger log) {
		this.log = log;
	}
	public InputStream getInputStream() {
		return inputStream;
	}
	public void setInputStream(InputStream inputStream) {
		this.inputStream = inputStream;
	}
	public OutputStream getOutputStream() {
		return outputStream;
	}
	public void setOutputStream(OutputStream outputStream) {
		this.outputStream = outputStream;
	}
}
